//
//  TPSButtonCell.m
//  Blocks and Cells
//
//  Created by Bart Jacobs on 15/02/14.
//  Copyright (c) 2014 Tuts+. All rights reserved.
//

#import "TPSButtonCell.h"

@interface TPSButtonCell ()

@property (copy, nonatomic) void (^didTapButtonBlock)(id sender);

@end

@implementation TPSButtonCell

- (void)awakeFromNib {
    [super awakeFromNib];
    
    [self.actionButton addTarget:self action:@selector(didTapButton:) forControlEvents:UIControlEventTouchUpInside];
}

- (void)didTapButton:(id)sender {
    if (self.didTapButtonBlock) {
        self.didTapButtonBlock(sender);
    }
}

@end
